﻿@model Avira.MarketingResearch.Model.ViewModels.ProjectDashBoard.MainProjectInsertDBViewModel
@{
    ViewData["Title"] = "Create";
    Layout = "~/Views/Shared/_Layout.cshtml";

    @using Microsoft.AspNetCore.Http
    @using Newtonsoft.Json;
    @using Avira.MarketingResearch.Model.ViewModels;
    var Permissions = Context.Session.GetString("PermissionList");
    var controllerName = this.ViewContext.RouteData.Values["controller"].ToString();
    var PermissionList = JsonConvert.DeserializeObject<List<PermissionsByUserRoleIdViewModel.PermissionByRoleId>>(Permissions);
    var permission = PermissionList.FirstOrDefault(x => x.PermissionName.Equals(controllerName));
    var userRoleName = Context.Session.GetString("UserRoleName");


}
<link href="~/assets/css/avira-custom.css" rel="stylesheet" />
<script src="~/assets/plugins/jquery/jquery-3.3.1.min.js"></script>
<script src="~/assets/js/page-table-manage.demo.min.js"></script>
@*<script src="~/ckeditor/ckeditor.js"></script>*@
<!-- begin #content -->
@using (Html.BeginForm("Create", "Project", FormMethod.Post, new { @class = "form-horizontal", @id = "formId" }))
{
    @Html.AntiForgeryToken()
    <div id="content" class="content">
        <!-- begin breadcrumb -->
        <!-- end breadcrumb -->
        <!-- begin page-header -->
        <h1 class="page-header">New Project Page</h1>
        <!-- end page-header -->
        <!-- begin section-container -->
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        @Html.HiddenFor(Model => Model.projectInsertDbViewModel.ProjectID)

        <div class="section-container section-with-top-border p-b-10">
            <!-- begin row -->
            <div class="row">
                <!-- begin col-6 -->
                <div class="col-lg-7">
                    <h4 class="m-t-0 p-b-10">Projects Details</h4>

                    <div class="form-group form-group-sm">
                        <label class="col-lg-3 col-form-label">Project Name<span class="text-danger">*</span></label>
                        <div class="col-lg-9">
                            @Html.EditorFor(Model => Model.projectInsertDbViewModel.ProjectName, new { htmlAttributes = new { @class = "form-control", required = "required" } })
                            @Html.ValidationMessageFor(Model => Model.projectInsertDbViewModel.ProjectName, "", new { @class = "text-danger" })
                        </div>
                    </div>
                    <div class="form-group form-group-sm">
                        <label class="col-lg-3 col-form-label">Remarks</label>
                        <div class="col-lg-9">
                            @Html.TextAreaFor(Model => Model.projectInsertDbViewModel.Remark, htmlAttributes: new { @class = "form-control" })
                            <script>
                                CKEDITOR.replace('projectInsertDbViewModel.Remark', {
                                    height: 40,
                                    toolbarGroups: [{
                                        "name": "basicstyles",
                                        "groups": ["basicstyles"]
                                    },
                                    {
                                        "name": "links",
                                        "groups": ["links"]
                                    },
                                    {
                                        "name": "paragraph",
                                        "groups": ["list", "blocks"]
                                    },
                                    {
                                        "name": "document",
                                        "groups": ["mode"]
                                    },
                                    {
                                        "name": "insert",
                                        "groups": ["insert"]
                                    },
                                    {
                                        "name": "styles",
                                        "groups": ["styles"]
                                    },
                                    {
                                        "name": "about",
                                        "groups": ["about"]
                                    }
                                    ],
                                    removeButtons: 'Underline,Strike,Subscript,Superscript,Anchor,Styles,Specialchar'
                                });

                            </script>
                        </div>
                    </div>

                </div>
                <div class="col-lg-5 p-l-40">
                    <h4 class="m-t-0 p-b-10">Time Details</h4>

                    <div class="form-group m-b-10">
                        <label class="col-lg-4 col-form-label"><span class="text-danger">*</span>Start Date</label>
                        <div class="col-lg-5">
                            <div class="form-group">

                                @Html.TextBoxFor(Model => Model.projectInsertDbViewModel.StartDate,
           new { @type = "date", @class = "form-control", required = "required" })


                            </div>
                        </div>
                    </div>

                    <div class="form-group m-b-10">
                        <label class="col-lg-4 col-form-label"><span class="text-danger">@***@</span>Deadline Date</label>
                        <div class="col-lg-5">
                            @Html.TextBoxFor(Model => Model.projectInsertDbViewModel.EndDate,
           new {  @class = "form-control", @readonly = "readonly" })
                        </div>
                    </div>

                    <div class="form-group m-b-10">
                        <label class="col-lg-4 col-form-label"><span class="text-danger">@***@</span>Standard hour</label>
                        <div class="col-lg-5">
                            <input type="text" class="form-control" disabled />
                        </div>
                    </div>

                    <div class="form-group m-b-10">
                        <label class="col-lg-4 col-form-label">Actual Hours Spent</label>
                        <div class="col-lg-5">
                            <input type="text" class="form-control" disabled />
                        </div>
                    </div>

                </div>
            </div>
            <!-- end row -->
        </div>
        <div class="section-container section-with-top-border p-b-10">
            <!-- begin row -->
            <div class="row">
                <!-- begin col-6 -->
                <div class="col-lg-10">
                    <div class="row">
                        <h4 class="col-lg-6 m-t-0 p-b-10">Analyst Details</h4>
                        <h4 class="col-lg-6 m-t-0 p-b-10">Role</h4>
                    </div>

                    <div class="form-group m-b-10">
                        <label class="col-lg-3 col-form-label"></label>
                        <div class="col-lg-4">
                            <h5>Author</h5>
                        </div>
                        <div class="col-lg-4">
                            <h5>Co-Author</h5>
                        </div>
                    </div>


                    <div class="form-group m-b-10">
                        @Html.Hidden("projectAnalistDetailsInsertTrendDbViewModel.AnalysisType", "Trends Forms")
                        <label class="col-lg-2 col-form-label"><span class="text-danger">*</span>Trends Forms</label>
                        <div class="col-lg-5">
                            @Html.DropDownListFor(Model => Model.projectAnalistDetailsInsertTrendDbViewModel.AuthorUserID, (SelectList)ViewBag.AuthorList, "--Select Author--", new { @class = "form-control", required = "required" })

                        </div>
                        <div class="col-lg-5">
                            @Html.DropDownListFor(Model => Model.projectAnalistDetailsInsertTrendDbViewModel.CoAuthorUserID, (SelectList)ViewBag.CoAuthorList, new { @class = "form-control selectpicker", multiple = "multiple", data_live_search = "true" })

                        </div>

                    </div>

                    <div class="form-group m-b-10">
                        @Html.Hidden("projectAnalistDetailsInsertCompnyDbViewModel.AnalysisType", "Company Profiles")
                        <label class="col-lg-2 col-form-label"><span class="text-danger">*</span>Company Profiles</label>
                        <div class="col-lg-5">
                            @Html.DropDownListFor(Model => Model.projectAnalistDetailsInsertCompnyDbViewModel.AuthorUserID, (SelectList)ViewBag.AuthorList, "--Select Author--", new { id = "ComProfddlAuthorId", @class = "form-control", required = "required" })

                        </div>
                        <div class="col-lg-5">
                            @Html.DropDownListFor(Model => Model.projectAnalistDetailsInsertCompnyDbViewModel.CoAuthorUserID, (SelectList)ViewBag.CoAuthorList, new { id = "ComProfddlCoAuthorId", @class = "form-control selectpicker", multiple = "multiple", data_live_search = "true" })

                        </div>
                    </div>

                    <div class="form-group m-b-10">
                        @Html.Hidden("projectAnalistDetailsInsertMarketDbViewModel.AnalysisType", "Market Sizing")
                        <label class="col-lg-2 col-form-label"><span class="text-danger">*</span>Market Sizing</label>
                        <div class="col-lg-5">
                            @Html.DropDownListFor(Model => Model.projectAnalistDetailsInsertMarketDbViewModel.AuthorUserID, (SelectList)ViewBag.AuthorList, "--Select Author--", new { id = "MarkSizddlAuthorId", @class = "form-control", required = "required" })

                        </div>
                        <div class="col-lg-5">
                            @Html.DropDownListFor(Model => Model.projectAnalistDetailsInsertMarketDbViewModel.CoAuthorUserID, (SelectList)ViewBag.CoAuthorList, new { id = "MarkSizddlCoAuthorId", @class = "form-control selectpicker", multiple = "multiple", data_live_search = "true" })

                        </div>

                    </div>

                    <div class="form-group m-b-10">
                        @Html.Hidden("projectAnalistDetailsInsertQuantDbViewModel.AnalysisType", "Quantative info")
                        <label class="col-lg-2 col-form-label"><span class="text-danger">*</span>Quantative info</label>
                        <div class="col-lg-5">
                            @Html.DropDownListFor(Model => Model.projectAnalistDetailsInsertQuantDbViewModel.AuthorUserID, (SelectList)ViewBag.AuthorList, "--Select Author--", new { id = "QuantInfoddlAuthorId", @class = "form-control", required = "required" })

                        </div>
                        <div class="col-lg-5">
                            @Html.DropDownListFor(Model => Model.projectAnalistDetailsInsertQuantDbViewModel.CoAuthorUserID, (SelectList)ViewBag.CoAuthorList, new { id = "QuantInfoddlCoAuthorId", @class = "form-control selectpicker", multiple = "multiple", data_live_search = "true" })

                        </div>

                    </div>

                    <div class="form-group m-b-10">
                        @Html.Hidden("projectAnalistDetailsInsertPrimarDbViewModel.AnalysisType", "Primaries Info")
                        <label class="col-lg-2 col-form-label"><span class="text-danger">*</span>Primaries Info</label>
                        <div class="col-lg-5">
                            @Html.DropDownListFor(Model => Model.projectAnalistDetailsInsertPrimarDbViewModel.AuthorUserID, (SelectList)ViewBag.AuthorList, "--Select Author--", new { id = "PrimInfoddlAuthorId", @class = "form-control", required = "required" })

                        </div>
                        <div class="col-lg-5">
                            @Html.DropDownListFor(Model => Model.projectAnalistDetailsInsertPrimarDbViewModel.CoAuthorUserID, (SelectList)ViewBag.CoAuthorList, new { id = "PrimInfoddlCoAuthorId", @class = "form-control selectpicker", multiple = "multiple", data_live_search = "true" })

                        </div>
                    </div>

                </div>
            </div>
            <!-- end row -->
        </div>

        <div class="section-container section-with-top-border">
            <div class="row">
                <div class="col-lg-10">

                    <div class="form-group m-b-10">
                        @Html.Hidden("projectAnalistDetailsInsertApproverDbViewModel.AnalysisType", "Approver")
                        <label class="col-lg-2 col-form-label"><span class="text-danger">*</span>Approver</label>
                        <div class="col-lg-5">
                            @Html.DropDownListFor(Model => Model.projectAnalistDetailsInsertApproverDbViewModel.ApproverUserId, (SelectList)ViewBag.ApproverList, "--Select Approver--", new { id = "ApproverAuthorddlId", @class = "form-control", required = "required" })

                        </div>
                        @*<div class="col-lg-5">
                                @Html.DropDownListFor(Model => Model.projectAnalistDetailsInsertApproverDbViewModel.CoApproverUserID, (SelectList)ViewBag.ApproverList, "--Select Approver--", new { id = "ApproverCoAuthorddlId", @class = "form-control selectpicker", multiple = "multiple", data_live_search = "true", required = "required" })

                            </div>*@

                    </div>

                    <div class="form-group m-b-10">
                        @Html.Hidden("projectAnalistDetailsInsertCoApproDbViewModel.AnalysisType", "Co-Approver")
                        <label class="col-lg-2 col-form-label">Co-Approver</label>
                        <div class="col-lg-5">
                            @*  @Html.DropDownListFor(Model => Model.projectAnalistDetailsInsertCoApproDbViewModel.ApproverUserId, (SelectList)ViewBag.CoApproverList, "--Select CoApprover--", new { id = "CoApproverAuthorddlId", @class = "form-control" })*@
                            @Html.DropDownListFor(Model => Model.projectAnalistDetailsInsertCoApproDbViewModel.CoApproverUserID, (SelectList)ViewBag.CoApproverList, new { id = "CoApproverCoAuthorddlId", @class = "form-control selectpicker", multiple = "multiple", data_live_search = "true" })

                        </div>


                    </div>

                </div>
            </div>


        </div>
        <!-- end section-container -->
        <!-- begin section-container -->
        <!-- end section-container -->
        <!-- begin section-container -->
        <!-- end section-container -->
        <!-- begin section-container -->
        <!-- end section-container -->
        <!-- begin section-container -->
        <div class="section-container section-with-top-border p-b-10">
            <!-- begin row -->
            <div class="row">
                <!-- begin col-6 -->
                <div class="col-lg-8">
                    <h4 class="m-t-0 p-b-10">Project Mapping</h4>

                    <div class="form-group m-b-10">
                        @Html.Hidden("projectSegmentMappingInsertInduDbViewModel.SegmentType", "Broad Industries")
                        <label class="col-lg-3 col-form-label"><span class="text-danger">*</span>Broad Industries</label>
                        <div class="col-lg-8">

                            @Html.DropDownListFor(Model => Model.projectSegmentMappingInsertInduDbViewModel.SegmentID, (SelectList)ViewBag.IndustryList, new { id = "IndustryID", @class = "form-control selectpicker", multiple = "multiple", data_live_search = "true", required = "required" })

                        </div>

                    </div>

                    <div class="form-group m-b-10">
                        @Html.Hidden("projectSegmentMappingInsertSubInduDbViewModel.SegmentType", "Industries")
                        <label class="col-lg-3 col-form-label"><span class="text-danger">*</span>Industries</label>
                        <div class="col-lg-8">

                            @Html.DropDownListFor(model => model.projectSegmentMappingInsertSubInduDbViewModel.SegmentID, new SelectList("", ""), htmlAttributes: new { @class = "form-control selectpicker", multiple = "multiple", data_live_search = "true", required = "required", @id = "SubIndustryId" })

                        </div>

                    </div>

                    <div class="form-group m-b-10">
                        @Html.Hidden("projectSegmentMappingInsertMarketDbViewModel.SegmentType", "Markets")
                        <label class="col-lg-3 col-form-label"><span class="text-danger">*</span>Markets</label>
                        <div class="col-lg-8">
                            @Html.DropDownListFor(Model => Model.projectSegmentMappingInsertMarketDbViewModel.SegmentID, (SelectList)ViewBag.MarketList, new { id = "MarketId", @class = "form-control selectpicker", multiple = "multiple", data_live_search = "true", required = "required" })

                        </div>

                    </div>

                    <div class="form-group m-b-10">
                        @Html.Hidden("projectSegmentMappingInsertSubMarkDbViewModel.SegmentType", "Sub-Markets")
                        <label class="col-lg-3 col-form-label">Sub-Markets</label> @*<span class="text-danger">*</span>*@
                        <div class="col-lg-8">
                            @Html.DropDownListFor(model => model.projectSegmentMappingInsertSubMarkDbViewModel.SegmentID, new SelectList("", ""), htmlAttributes: new { @class = "form-control selectpicker", multiple = "multiple", data_live_search = "true", @id = "SubMarketId" }) @*, required = "required"*@

                        </div>

                    </div>

                    <!-- end row -->
                </div>
                <!-- end col-6 -->
                <!-- begin col-6 -->
                <div class="col-lg-4">
                    <h4 class="m-t-0">Project Requisites</h4>

                    <div class="form-group form-group-sm">
                        <label class="col-lg-6 col-form-label"><span class="text-danger">*</span>Minimum Number Of Trends</label>
                        <div class="col-lg-4">
                            @Html.TextBoxFor(Model => Model.projectInsertDbViewModel.MinTrends, new { @type = "number", @class = "form-control", required = "required" })

                        </div>
                    </div>
                    <div class="form-group form-group-sm">
                        <label class="col-lg-6 col-form-label"><span class="text-danger">*</span>Minimum Number Of Company Profiles</label>
                        <div class="col-lg-4">
                            @Html.TextBoxFor(Model => Model.projectInsertDbViewModel.MinCompanyProfiles, new { @type = "number", @class = "form-control", required = "required" })
                        </div>
                    </div>
                    <div class="form-group form-group-sm">
                        <label class="col-lg-6 col-form-label"><span class="text-danger">*</span>Minimum Number Of Primaries</label>
                        <div class="col-lg-4">
                            @Html.TextBoxFor(Model => Model.projectInsertDbViewModel.MinPrimaries, new { @type = "number", @class = "form-control", required = "required" })
                        </div>
                    </div>

                </div>
                <!-- end col-6 -->
            </div>
            <!-- end row -->
        </div>
        <!-- end section-container -->
        <!-- begin section-container -->
        <div class="section-container section-with-top-border p-b-10">
            <!-- begin row -->
            <div class="row">
                <!-- begin col-6 -->
                <div class="col-lg-6">
                    <div class="row m-b-25">
                        <div class="col-lg-6">
                            @*1)read 2)create read 3) update create read 4) delete update create read*@
                            @if (permission != null && permission.PermissionLevel > 1)
                            {
                                <input type="button" class="btn btn-rounded btn-inverse btn-block" value="Launch Project" id="btnLaunch" />
                            }
                            </div>
                    </div>
                </div>
                <!-- end col-6 -->
                <!-- begin col-6 -->
                <div class="col-lg-6">
                    <p>
                        @*1)read 2)create read 3) update create read 4) delete update create read*@
                        @if (permission != null && permission.PermissionLevel > 1)
                        {
                            <input type="submit" class="btn btn-white btn-rounded m-b-5 width-100" value="Save" />
                            <button type="button" class="btn btn-inverse btn-rounded m-b-5 width-100" id="btnClear">Clear</button>
                        }
                    </p>
                </div>
                <!-- end col-6 -->
            </div>
            <!-- end row -->
        </div>


        <!-- end section-container -->
        <!-- begin #footer -->
        <div id="footer" class="footer">
            <span class="pull-right">
                <a href="javascript:;" class="btn-scroll-to-top" data-click="scroll-top">
                    <i class="fa fa-arrow-up"></i> <span class="hidden-xs">Back to Top</span>
                </a>
            </span>
            &copy; 2019 <b>Avira Insights</b> All Right Reserved
        </div>
        <!-- end #footer -->
    </div>
    <script>
        $(document).ready(function () {
            $("#btnLaunch").prop('disabled', true);
            $("#btnClear").click(function () {
                $("#formId").trigger('reset');
                $('.selectpicker').selectpicker('refresh');
            });
        });

        $('#MarketId').change(function () {
            var arraylist = $(this).val();
            var selectedstr = arraylist.toString().replace("\",\"", ",");

            var projectmodel = { Remark: selectedstr };
            if (selectedstr.toString() == "") {
                alert("Please select valid input");
            }
            else {

                $.ajax({
                    type: "POST",
                    url: "/Project/MarketDdlId",
                    data: { projectmodel: projectmodel },
                    dataType: "json",
                    success: function (data) {
                        var s = '';
                        for (var i = 0; i < data.length; i++) {
                            s += '<option value="' + data[i].id + '">' + data[i].marketName + '</option>';
                        }
                        $("#SubMarketId").html(s);
                        $('#SubMarketId').selectpicker('refresh');
                    },
                    error: function () {
                        alert('Error occured');
                    }
                });
            }
        });
        $('#IndustryID').change(function () {
            var arraylist = $(this).val();
            var selectedstr = arraylist.toString().replace("\",\"", ",");
            var projectmodel = { Remark: selectedstr };
            if (selectedstr.toString() == "") {
                alert("Please select valid input");
                $(this).val("");
            }
            else {
                $.ajax({

                    type: "POST",
                    url: "/Project/IndustryDdlId",
                    data: { projectmodel: projectmodel },
                    dataType: "json",
                    success: function (data) {
                        var s = '';
                        for (var i = 0; i < data.length; i++) {
                            s += '<option value="' + data[i].id + '">' + data[i].industryName + '</option>';
                        }

                        $("#SubIndustryId").html(s);
                        $('#SubIndustryId').selectpicker('refresh');

                    },
                    error: function () {
                        alert('Error occured');
                    }
                });
            }


        });
    </script>
}

<!-- end #content -->
